Subject: Re: [X2Go-Dev] Bug#375: x2gothinclient does not install 686 kernel

From: Stephan Wagner <[email-masked]>
Date: Tue, 17 Dec 2013 13:18:31 +0100

Hallo Mike

I prefer 686-Kernel on a 32bit System, as it supports multiple cores.

Stephan

On Tuesday, 17. December 2013, Mike Gabriel wrote:
> Control: tag -1 moreinfo
> 
> Hi Anders,
> 
> On  Di 17 Dez 2013 11:23:31 CET, Anders Bruun Olsen wrote:
> 
> > Package: x2gothinclientmanagement
> > Version: 1.1.0.1
> >
> > I run my tftp/nfs server for my thin clients, on a 64-bit machine (a VM).
> > When I create a thinclient chroot with x2gothinclient_create, only the 486
> > kernel gets installed. I can use x2gothinclient_shell and use apt-get to
> > install linux-image-686, to get the 686 kernel installed. But upon doing
> > so, the reason for it not being auto installed is apparent: 64-bit 
machines
> > don't support PAE (not needed), and the deb package for linux-image-686
> > knows that this particular kernel is made for machines supporting PAE. I
> > can just say yes to the warnings, and I even though I end up with an 
error,
> > the kernel does get installed. This is not optimal.
> > I realize this is a problem (in this niche case, it probably "works as
> > intended") with Debian Wheezy, and not really a job for the developers of
> > x2go, but since I am running into this problem when using x2go, I am
> > reporting the problem here, and hopefully it will be sent upstream, if 
that
> > is desirable.
> 
> What is your reason for wanting to use the 686 kernel in the first  
> place. The reason I removed 686 support from the X2Go TCE is that it
> 
>    (a) did not bring any feelable improvements while my TCEs ran under  
> Debian squeeze _and_
>    (b) did not work fluently if the PXE server machine is a amd64 system
> 
> Please enlight me, why 686 would be a sensible kernel alternative to  
> use here...

-- 
__________________________________________________
Dr. Stephan Wagner
ITos GmbH
Bitzi-Bendel 2555
9642 Ebnat-Kappel
Tel: +41 (0)71 990 05 94
mailto:[email-masked]
http://www.itos-gmbh.com
--------------------------------------------------